# Interface BuildableComponentSpec

All Superinterfaces:
  `Buildable, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ApplicationBinarySpec, AssemblerSourceSet, BinarySpec, CppSourceSet, CSourceSet, CUnitTestSuiteBinarySpec, DependentSourceSet, DependentSourceSet, GoogleTestTestSuiteBinarySpec, HeaderExportingSourceSet, LanguageSourceSet, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeResourceSet, NativeTestSuiteBinarySpec, ObjectiveCppSourceSet, ObjectiveCSourceSet, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec, WindowsResourceSet`

All Known Implementing Classes:
  `org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseLanguageSourceSet`

@Incubating @Deprecated public interface BuildableComponentSpec extends Buildable, ComponentSpec
Deprecated.
A `ComponentSpec` that is directly `Buildable` via a specified task.

Since:
  2.12

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `builtBy(Object... tasks)`
  Deprecated.
  Adds tasks required to build this component.
  `@Nullable Task`
  `getBuildTask()`
  Deprecated.
  Returns the task responsible for building this component.
  `boolean`
  `hasBuildDependencies()`
  Deprecated.
  Returns whether build dependencies.
  `void`
  `setBuildTask(@Nullable Task buildTask)`
  Deprecated.
  Specifies the task responsible for building this component.

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Method Details

  - ### getBuildTask

    @Nullable Task getBuildTask()
    Deprecated.
    Returns the task responsible for building this component.
    Since:
      2.12

  - ### setBuildTask

    void setBuildTask(@Nullable Task buildTask)
    Deprecated.
    Specifies the task responsible for building this component.
    Since:
      2.12

  - ### builtBy

    void builtBy(Object... tasks)
    Deprecated.
    Adds tasks required to build this component. Tasks added this way are subsequently added as dependencies of this component's `build task`.
    Since:
      2.12

  - ### hasBuildDependencies

    boolean hasBuildDependencies()
    Deprecated.
    Returns whether build dependencies.
    Since:
      2.12